'use strict';

var React = require('react');
var framerMotion = require('framer-motion');
var DataList_const = require('./DataList.const-cjs.js');
var DataListActions = require('./DataListActions-cjs.js');

var styles = {"menu":"SSm2j6d2kYo-","spinning":"Mpmu6IiBTSI-"};

// This component is meant to capture the props of the DataList.ItemActions
function DataListItemActions(
// eslint-disable-next-line @typescript-eslint/no-unused-vars
_) {
    return null;
}
const variants = {
    hidden: { opacity: 0, y: 0 },
    visible: { opacity: 1, y: 4 },
};
function InternalDataListItemActions({ actions, }) {
    return (React.createElement(framerMotion.motion.div, { variants: variants, initial: "hidden", animate: "visible", exit: "hidden", transition: {
            duration: DataList_const.TRANSITION_DURATION_IN_SECONDS,
            delay: DataList_const.TRANSITION_DELAY_IN_SECONDS,
        }, className: styles.menu, "data-elevation": "elevated", onContextMenu: handleContextMenu },
        React.createElement(DataListActions.DataListActions, null, actions)));
}
function handleContextMenu(event) {
    event.stopPropagation();
}

exports.DataListItemActions = DataListItemActions;
exports.InternalDataListItemActions = InternalDataListItemActions;
